# class Chef::RequestID

### Public Instance Methods

generate_request_id() click to toggle source

    # File lib/chef/request_id.rb, line 33
    def generate_request_id
      SecureRandom.uuid
    end

request_id() click to toggle source

    # File lib/chef/request_id.rb, line 29
    def request_id
      @request_id ||= generate_request_id
    end

reset_request_id() click to toggle source

    # File lib/chef/request_id.rb, line 25
    def reset_request_id
      @request_id = nil
    end